9 years agoUpgrade mc package. Tickets 9225 and 9268 can be closed. The mc package
thepeople []
Upgrade mc package. Tickets 9225 and 9268 can be closed. The mc package
is optimized for size.

Signed-off-by: Luka Perkov < openwrt ->-to->- lukaperkov.net >

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26762 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoremove old mdadm patch
luka []
remove old mdadm patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26760 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agorename mdadm patch
luka []
rename mdadm patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26759 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade lm-sensors package
luka []
upgrade lm-sensors package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26758 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] mdadm: fix typo in r26755
jow []
[packages] mdadm: fix typo in r26755


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26757 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd lvm2 cross compile fix
luka []
add lvm2 cross compile fix

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26756 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade mdadm package
luka []
upgrade mdadm package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26755 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade lvm2 package
luka []
upgrade lvm2 package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26754 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] alsa-utils: prevent configure from using host ncurses[w]5-config files
jow []
[packages] alsa-utils: prevent configure from using host ncurses[w]5-config files


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26739 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: remove obsolete patch after update to 5.3.6
mhei []
[packages] php5: remove obsolete patch after update to 5.3.6

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26732 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: update to 5.3.6
mhei []
[packages] php5: update to 5.3.6

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26731 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: fix typo for package description
mhei []
[packages] php5: fix typo for package description

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26730 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] php5: add maintainer details
mhei []
[packages] php5: add maintainer details

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26729 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[PATCH] Update and FIX socat
jow []
[PATCH] Update and FIX socat
socat was bugged for ages now. It does compile, so probably no one
noticed. While running through its configure script, the build process
complains about some missing variables and gives a hint, that the user
should supply them manually. This does ONLY happen in a cross compiling
environment, otherwise the configure script guesses them right. I don't
know the purpose of these variables exactly, but they seem to be OS
dependent and NOT hardware dependent. I tested this on various
architectures and they were all the same, as long as linux is involved.
So I think its safe to specify them in the Makefile.

The point why they're important, is simply that socat compiles, but
exits with some sort of error right after invocation, if they weren't
present at compile time. There are numerous tickets around concerning
this bug. Newer Versions of socat won't even compile if they're missing,
maybe thats why it's kinda outdated by now.

However, this little patch should fix it.

Signed-off-by: Hendrik Bartusch <bartusch@exoz.net>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26728 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/bwping: BWPing is a small utility for bandwidth measuring. (thank you Florian Sesser)
acoul []
net/bwping: BWPing is a small utility for bandwidth measuring. (thank you Florian Sesser)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26727 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoZNC: Fix webadmin, allow external config and minor fixes
jogo []
ZNC: Fix webadmin, allow external config and minor fixes

* Fix the webadmin module and add the themes

* Allow providing ZNC an external config (closes #9110)

* Allow specifying the user and group to run ZNC as (needs su when using
external config)

* Allow providing a certificate for incoming SSL connections

* Reduce buildtime by not rebuilding everything everytime

Signed-off-by: Jonas Gorski <jonas.gorski+openwrt@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26722 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/apf: Active port forwarder is a software tool for secure port forwarding. (Closes #9256)
acoul []
net/apf: Active port forwarder is a software tool for secure port forwarding. (Closes #9256)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26721 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agobatman-adv: init script tries to retrieve interfaces from uci
marek []
batman-adv: init script tries to retrieve interfaces from uci

The batman-adv init script will query uci (network.$iface.ifname)
to retrieve the interface name to re-use the existing network
configuration system.
The default iface configuration (batman-adv.bat0.interfaces) is
set to 'mesh' which allows to start batman-adv as soon as the
network configuration contains a 'mesh' stanza.

Signed-off-by: Filippo Sallemi <tonyputi@gmail.com>
Signed-off-by: Gioacchino Mazzurco <gmazzurco89@gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26719 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agobatman-adv: upgrade package to latest release (2011.1.0)
marek []
batman-adv: upgrade package to latest release (2011.1.0)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26718 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openntpd:
jow []
[packages] openntpd:
- don't check directory permissions, we can't make /var 0700 (#9258)
- fix init script after r26148, use service_kill instead of killall -9 (#9258)
- bump pkg revision


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26717 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tor-alpha: update to 0.2.2.24-alpha, add geoip package
swalker []
[packages] tor-alpha: update to 0.2.2.24-alpha, add geoip package


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26694 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade git package
luka []
upgrade git package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26688 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoprosody: do not chown on the host system
nbd []
prosody: do not chown on the host system

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26675 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoAdd maintainer details for lcd4linux
jmccrohan []
Add maintainer details for lcd4linux

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26667 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agodowngrade libtorrent and rtorrent; rtorrent crashes only solution was to use stable and not svn version (8733)
luka []
downgrade libtorrent and rtorrent; rtorrent crashes only solution was to use stable and not svn version (8733)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26664 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] slang2: add the OLD directory as a source url
swalker []
[packages] slang2: add the OLD directory as a source url


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26661 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] usbutils: Fix zlib support (#9216)
acinonyx []
[packages] usbutils: Fix zlib support (#9216)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26660 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] package qt4 VNC graphics driver
mirko []
[packages/qt4] package qt4 VNC graphics driver

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26659 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages/qt4] include linuxinput driver for keyboards by default
mirko []
[packages/qt4] include linuxinput driver for keyboards by default

why the heck can we build the linuxinput-keyboard driver as a plugin, but
the linuxinput-mouse driver can just be compiled in? Why does qt4 has
different drivers for mouse/keyboard using the linuxinput stack at all?

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26658 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] znc:
jow []
[packages] znc:
- fix usage of PKG_CONFIG_DEPENDS to properly trigger rebuilds after changed feature configuration
- conditionally compile plugins, saves a lot of build time if only a few extensions are enabled


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26656 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agominor update hd-idle
luka []
minor update hd-idle

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26655 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade hdparm
luka []
upgrade hdparm

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26654 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd rtorrent ncurses patch
luka []
add rtorrent ncurses patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26653 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade libtorrent and rtorrent
luka []
upgrade libtorrent and rtorrent

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26652 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoZNC: Update to 0.098 and minor fixes
jogo []
ZNC: Update to 0.098 and minor fixes

* Update ZNC to latest stable

* Update download URI to new location

* Add a fix for building webadmin with uClibc++ and enable it

* Reduce build time slightly skipping the man target

* Add myself as maintainer

Signed-off-by: Jonas Gorski <jonas.gorski+openwrt@gmail.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26651 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] usbutils: Do not automatically update USB IDs on real system
acinonyx []
[packages] usbutils: Do not automatically update USB IDs on real system

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26650 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] pciutils: Do not automatically update PCI IDs on real system
acinonyx []
[packages] pciutils: Do not automatically update PCI IDs on real system

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26649 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] hd-idle: readd PKG_BUILD_DIR
jow []
[packages] hd-idle: readd PKG_BUILD_DIR


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26646 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] pulseaudio: fix 26640
loswillios []
[packages] pulseaudio: fix 26640

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26641 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] pulseaudio: drop dbus dependency, add back libsamplerate, allow to start on devices with <64mb ram, bump release
loswillios []
[packages] pulseaudio: drop dbus dependency, add back libsamplerate, allow to start on devices with <64mb ram, bump release

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26640 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] rsync: Update copyright notice date
acinonyx []
[packages] rsync: Update copyright notice date

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26634 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] {pciutils,usbutils}: save space when installing pciutils and usbutils v1 (thanks Peter Wagner)
acinonyx []
[packages] {pciutils,usbutils}: save space when installing pciutils and usbutils v1 (thanks Peter Wagner)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26633 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] rsync: Remove trailing whitespace error from init script
acinonyx []
[packages] rsync: Remove trailing whitespace error from init script

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26631 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] rsync: Add initscript for rsync daemon
acinonyx []
[packages] rsync: Add initscript for rsync daemon

Add an initscript to the rsync package for use as a daemon, and a sample rsyncd.conf to show a simple setup.

Signed-off-by: Ian Leonard <antonlacon@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26630 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agotcpdump: add back LINUX_SLL support to tcpdump-mini to fix ppp packet dumping (fixes #6236)
nbd []
tcpdump: add back LINUX_SLL support to tcpdump-mini to fix ppp packet dumping (fixes #6236)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26629 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] hd-idle: remove redundant PKG_BUILD_DIR, extend copyright
jow []
[packages] hd-idle: remove redundant PKG_BUILD_DIR, extend copyright


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26619 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoVersion bump hd-idle to 1.03. 1.02 and 1.03 were bugfix releases.
jow []
Version bump hd-idle to 1.03. 1.02 and 1.03 were bugfix releases.

Signed-off-by: Ian Leonard <antonlacon@gmail.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26618 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] ruby: fix compilation against OpenSSL v1.0.0, thanks russell
jow []
[packages] ruby: fix compilation against OpenSSL v1.0.0, thanks russell


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26599 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agopackages: haproxy
heil []
packages: haproxy
- bump to version 1.4.15

- Diese und die folgenden Zeilen werden ignoriert --

M haproxy/Makefile


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26597 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] gd: remove manual autoreconf invocation, it pulls in host autofail crap
jow []
[packages] gd: remove manual autoreconf invocation, it pulls in host autofail crap


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26592 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] cyrus-sasl: fix and use autoreconf to get rid of crappy libtool, extend compile fix to cover automake templates, solve some other automake braindeadness as well
jow []
[packages] cyrus-sasl: fix and use autoreconf to get rid of crappy libtool, extend compile fix to cover automake templates, solve some other automake braindeadness as well


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26591 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agocyrus-sasl: fix compile bug, so that we do not need this ugly workaround introduced in r26541.
hauke []
cyrus-sasl: fix compile bug, so that we do not need this ugly workaround introduced in r26541.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26575 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoopenswan: fix recursive dependency in config.
hauke []
openswan: fix recursive dependency in config.

Warning! Found recursive dependency: PACKAGE_kmod-ipv6 PACKAGE_kmod-ipv6


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26551 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoopenswan: add fix for 2.6.38
hauke []
openswan: add fix for 2.6.38

With 2.6.38.2 #include linux/config.h dont work anymore. It the same issue like Changeset r26237.

Thank you heil for the patch.

This closes #9156.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26550 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoopenl2tp: update to 1.8
hauke []
openl2tp: update to 1.8

Thank you НКВД for the patch.

This closes #9155.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26549 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoipupdate: fix endianness-issue
hauke []
ipupdate: fix endianness-issue

Thank you Sven Roederer for the patch.

This closes #9066.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26546 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agocyrus-sasl: update to version 2.1.23.
hauke []
cyrus-sasl: update to version 2.1.23.

Make must be run two times to work around a bug described here:
http://lists.andrew.cmu.edu/pipermail/cyrus-sasl/2008-June/001414.html


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26541 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agomysql: fix a compile error on some host systems.
hauke []
mysql: fix a compile error on some host systems.

conf_to_src.c uses C++ functions so we should use g++ for compiling.
The CFLAGS, CPPFLAGS and LDFLAGS for host build should be used and not the for target builds.

This closes #8342


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26540 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoddns-scripts: no-ip.com's update protocol has changed
hauke []
ddns-scripts: no-ip.com's update protocol has changed

Thank you arokh and julian.calaby.
This closes #9160


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26538 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Renumber and refresh patches
acinonyx []
[packages] minidlna: Renumber and refresh patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26530 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Remove empty patches
acinonyx []
[packages] minidlna: Remove empty patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26528 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Update copyright notice
acinonyx []
[packages] minidlna: Update copyright notice

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26527 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Version bump Minidlna 1.0.19
acinonyx []
[packages] minidlna: Version bump Minidlna 1.0.19

Version bump minidlna to 1.0.19. I didn't find an official changelog. Reading a diff looks like a change in license from GPL v2 or later to strict GPL v2, as well as bug fixes and translation updates. It's streaming as expected. Two patches were rebased.

Signed-off-by: Ian Leonard <antonlacon@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26526 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] asterisk-1.8.x: have chan-iax2 depend on new package res-crypto
zandbelt []
[packages] asterisk-1.8.x: have chan-iax2 depend on new package res-crypto

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26508 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] avahi: Update avahi to version 0.6.30 (ref Ticket 7424, , ipv6)
acinonyx []
[packages] avahi: Update avahi to version 0.6.30 (ref Ticket 7424, , ipv6)

This updates the avahi package to the latest version, 0.6.30.

>From the avahi release notes:

"This is a bugfix release.

Make IPv6 work again
i18n updates
Minor other updates"

It may be relevant to ticket 7424.

(A few typos in the OpenWrt Makefile are also fixed.)

Signed-off-by: Mike Brady <mikebrady@eircom.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26502 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] libX11: add a patch from ubuntu that lets libX11 build a postscript file using newer groff (thanks Russell Senior)
acinonyx []
[packages] libX11: add a patch from ubuntu that lets libX11 build a postscript file using newer groff (thanks Russell Senior)

This applies to the packages feed. It fixes a case with newer groff
returning different warming messages than expected by the libX11 build
infrastructure expects. This patch was shamelessly swiped from Ubuntu's
package.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26501 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/wavemon: update to version 0.7.2, include some upstream patches
acoul []
net/wavemon: update to version 0.7.2, include some upstream patches


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26500 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] asterisk-1.8.x: update to asterisk 1.8.3.2; fix astdatadir; add dependency parameter to module template
zandbelt []
[packages] asterisk-1.8.x: update to asterisk 1.8.3.2; fix astdatadir; add dependency parameter to module template

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26497 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Removed dependency and linking to libip6tc as ipv6 isn't used with miniupnpd.
cshore []
[net] Firewall: miniupnpd: Removed dependency and linking to libip6tc as ipv6 isn't used with miniupnpd.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26496 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] {nacl,quicktun}: Add missing copyright notices
acinonyx []
[packages] {nacl,quicktun}: Add missing copyright notices

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26490 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Add dependency to kmod-tun
acinonyx []
[packages] quicktun: Add dependency to kmod-tun

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26489 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Improve QuickTun init script
acinonyx []
[packages] quicktun: Improve QuickTun init script

The new init script won't fail if quicktun takes more than 1 second to start.

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26488 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Update QuickTun to version 2.1.6
acinonyx []
[packages] quicktun: Update QuickTun to version 2.1.6

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26487 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] nacl: Update NaCl to version 20110221
acinonyx []
[packages] nacl: Update NaCl to version 20110221

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26486 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Newer upstream. Dropped patches now included upstream.
cshore []
[net] Firewall: miniupnpd: Newer upstream. Dropped patches now included upstream.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26481 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn: fix paths to ifconfig, ip and route utilities (#9184)
jow []
[packages] openvpn: fix paths to ifconfig, ip and route utilities (#9184)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26480 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Fixed miniupnpd attaching to shell when extra logging enabled. Fixed duplicated log messages when doing extra logging and removed unnecessary eval.
cshore []
[net] Firewall: miniupnpd: Fixed miniupnpd attaching to shell when extra logging enabled. Fixed duplicated log messages when doing extra logging and removed unnecessary eval.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26478 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] proftpd: update to 1.3.3e
obsy []
[packages] proftpd: update to 1.3.3e

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26477 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoaccount for more sdcc variants
thepeople []
account for more sdcc variants

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26475 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] newt: Fixed cross-compilation error due to attempt to use host Python by disabling build of snackmodule (a python module) which we weren't shipping anyway.
cshore []
[libs] newt: Fixed cross-compilation error due to attempt to use host Python by disabling build of snackmodule (a python module) which we weren't shipping anyway.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26474 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonewer versions of sdcc dropped support for xa51, compiles fine without so change the ckeck for sdcc
thepeople []
newer versions of sdcc dropped support for xa51, compiles fine without so change the ckeck for sdcc

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26473 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Fixed dependencies on libip4tc and libip6tc explicity. (Closes #9173)
cshore []
[net] Firewall: miniupnpd: Fixed dependencies on libip4tc and libip6tc explicity. (Closes #9173)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26461 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] minidlna/ffmpeg: add minidlna profile to ffmpeg
florian []
[package] minidlna/ffmpeg: add minidlna profile to ffmpeg

This adds a profile to ffmpeg to support minidlna, similar to the
libdlna/ushare profile. When minidlna encounters media, it uses ffmpeg to
figure out what it is. If ffmpeg fails to open it, then minidlna will try
and fail to read the file on its own. The profile may need to be extended;
I attempted to cover all popular formats for dlna streaming.

Tested with the following container/codec combinations:

mkv with ac3/h264/srt
mp4 with aac/h264/ttxt
ogg vorbis
flac
mp3

Should also be able to handle, but untested:
mpeg
avi
xvid
jpeg
png
wmv1
wmv2

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26450 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] ffmpeg: expose additionnal configuration options (#7837, #8831)
florian []
[package] ffmpeg: expose additionnal configuration options (#7837, #8831)

This series, along with previous applied patches, should close tickets #7837 and #8831.

This patch exposes additional decoders and demuxers for FFmpeg in menuconfig, along with other minor changes.

Additional decoders:
flac (Free Lossless Audio Codec)

Additional demuxers:
aac
avi
flac
matroska
mov (mov/mp4/m4a/3gp/3g2/mj2)

zlib is required on matroska/mov to handle compressed headers.

Minor changes:
mp3 demuxer to require the mpegaudio parser. Doesn't do much without it. Matches current ffmpeg behavior.

--target-os=linux as a compile flag. This will be required when cross-compiling in the 0.6 branch, and does no harm here.

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26449 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd ethtool patch for ixp4xx
luka []
add ethtool patch for ixp4xx

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26448 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade file
luka []
upgrade file

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26447 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade ethtool
luka []
upgrade ethtool

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26446 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dmapd to new upstream version; properly build BDB module
flyn []
Update dmapd to new upstream version; properly build BDB module


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26428 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dmapd and libdmapsharing to new upstream versions; use BDB module by default
flyn []
Update dmapd and libdmapsharing to new upstream versions; use BDB module by default


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26421 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate to 7.24.1
flyn []
Update to 7.24.1

Also:
remove the dependency on imagemagick and libfreetype to keep the library small
use --disable-debug and --disable-gtk-doc
add a patch to fix --tag=CXX issue; autotools is being stubborn about compiling as C++


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26420 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoVersion Bump Rsync 3.0.8 Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>
dingo []
Version Bump Rsync 3.0.8 Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26399 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[privoxy]
blogic []
[privoxy]

Update privoxy to 3.0.17. This is a maintenance release.

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26389 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] haproxy: bump to version 1.4.14
heil []
[packages] haproxy: bump to version 1.4.14



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26388 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[patch-team] update wing to 20110329 - Signed off by Roberto Riggio <roberto.riggio@create-net.org>
dingo []
[patch-team] update wing to 20110329 - Signed off by Roberto Riggio <roberto.riggio@create-net.org>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26386 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate at package - forgot to add patch
luka []
update at package - forgot to add patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26385 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate at package
luka []
update at package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26384 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] flashrom: use msr path compatible w/ hotplug2
florian []
[package] flashrom: use msr path compatible w/ hotplug2

The issue wasn't that flashrom-0.9.3 was broken, but that the incompatible device path put the box into a funky state that couldn't be reverted.

This fix causes it to use the hotplug2 path.

With this, we don't need to revert to 0.9.1, superseding my early patch to revert...

Signed-off-by: Philip Prindeville <philipp@redfish-solutions.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26381 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] add wattsup
florian []
[package] add wattsup

This patch adds a command line utility to interface with the WattsUp
power meters (https://www.wattsupmeters.com/)

Signed-off-by: Roberto Riggio<roberto.riggio@create-net.org>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26380 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] pmacct: add uacctd
florian []
[package] pmacct: add uacctd

This patch add uacctd, an ulog based accounting deamon from pmacct project (http://www.pmacct.net/)
It also put all pmacct packages in a submenu called (13 packages)

Thanks in advance.

Signed-off-by: Etienne CHAMPETIER <etienne.champetier@free.fr>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26379 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn: update to 2.1.4, thanks obsy
loswillios []
[packages] openvpn: update to 2.1.4, thanks obsy

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26376 3c298f89-4303-0410-b956-a3cf2f4a3e73

comments